export type Font = {
  family: string;
  variants: string[];
  subsets: string[];
  version: string;
  lastModified: string;
  category: string;
};

export const googleFonts: Font[] = [
  {
    family: "ABeeZee",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Abel",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Abhaya Libre",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "sinhala"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Aboreto",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Abril Fatface",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Abyssinica SIL",
    variants: ["regular"],
    subsets: ["ethiopic", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Aclonica",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Acme",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Actor",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Adamina",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-04-20",
    category: "serif",
  },
  {
    family: "Advent Pro",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["greek", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Aguafina Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Akaya Kanadaka",
    variants: ["regular"],
    subsets: ["kannada", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Akaya Telivigala",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "telugu"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Akronim",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Akshar",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Aladin",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Alata",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Alatsi",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Albert Sans",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Aldrich",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Alef",
    variants: ["regular", "700"],
    subsets: ["hebrew", "latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Alegreya",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v29",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Alegreya SC",
    variants: [
      "regular",
      "italic",
      "500",
      "500italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v22",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Alegreya Sans",
    variants: [
      "100",
      "100italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Alegreya Sans SC",
    variants: [
      "100",
      "100italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Aleo",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Alex Brush",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Alfa Slab One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Alice",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Alike",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-04-20",
    category: "serif",
  },
  {
    family: "Alike Angular",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-04-20",
    category: "serif",
  },
  {
    family: "Alkalami",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-28",
    category: "serif",
  },
  {
    family: "Allan",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Allerta",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Allerta Stencil",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Allison",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Allura",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Almarai",
    variants: ["300", "regular", "700", "800"],
    subsets: ["arabic"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Almendra",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Almendra Display",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v25",
    lastModified: "2022-04-20",
    category: "display",
  },
  {
    family: "Almendra SC",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Alumni Sans",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Alumni Sans Collegiate One",
    variants: ["regular", "italic"],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Alumni Sans Inline One",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Alumni Sans Pinstripe",
    variants: ["regular", "italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Amarante",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Amaranth",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Amatic SC",
    variants: ["regular", "700"],
    subsets: ["cyrillic", "hebrew", "latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Amethysta",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-04-20",
    category: "serif",
  },
  {
    family: "Amiko",
    variants: ["regular", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Amiri",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Amiri Quran",
    variants: ["regular"],
    subsets: ["arabic", "latin"],
    version: "v7",
    lastModified: "2022-09-14",
    category: "serif",
  },
  {
    family: "Amita",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Anaheim",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Andada Pro",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "800",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Andika",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Bangla",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["bengali", "latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Devanagari",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Gujarati",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["gujarati", "latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Gurmukhi",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["gurmukhi", "latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Kannada",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["kannada", "latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Latin",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Malayalam",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "malayalam"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Odia",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "oriya"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Tamil",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "tamil"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anek Telugu",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "telugu"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Angkor",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v28",
    lastModified: "2022-04-20",
    category: "display",
  },
  {
    family: "Annie Use Your Telescope",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Anonymous Pro",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "greek", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Antic",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Antic Didone",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Antic Slab",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Anton",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Antonio",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Anybody",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Arapey",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Arbutus",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Arbutus Slab",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Architects Daughter",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Archivo",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Archivo Black",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Archivo Narrow",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Are You Serious",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Aref Ruqaa",
    variants: ["regular", "700"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Aref Ruqaa Ink",
    variants: ["regular", "700"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v5",
    lastModified: "2022-09-14",
    category: "serif",
  },
  {
    family: "Arima",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: [
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "malayalam",
      "tamil",
      "vietnamese",
    ],
    version: "v1",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Arima Madurai",
    variants: ["100", "200", "300", "regular", "500", "700", "800", "900"],
    subsets: ["latin", "latin-ext", "tamil", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Arimo",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "hebrew",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v27",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Arizonia",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Armata",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Arsenal",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Artifika",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Arvo",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Arya",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Asap",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Asap Condensed",
    variants: [
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Asar",
    variants: ["regular"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Asset",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Assistant",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Astloch",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v26",
    lastModified: "2022-04-20",
    category: "display",
  },
  {
    family: "Asul",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Athiti",
    variants: ["200", "300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Atkinson Hyperlegible",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Atma",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["bengali", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Atomic Age",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v27",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Aubrey",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v28",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Audiowide",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Autour One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Average",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Average Sans",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Averia Gruesa Libre",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Averia Libre",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Averia Sans Libre",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Averia Serif Libre",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Azeret Mono",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "B612",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "B612 Mono",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "BIZ UDGothic",
    variants: ["regular", "700"],
    subsets: ["cyrillic", "greek-ext", "japanese", "latin", "latin-ext"],
    version: "v6",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "BIZ UDMincho",
    variants: ["regular"],
    subsets: ["cyrillic", "greek-ext", "japanese", "latin", "latin-ext"],
    version: "v6",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "BIZ UDPGothic",
    variants: ["regular", "700"],
    subsets: ["cyrillic", "greek-ext", "japanese", "latin", "latin-ext"],
    version: "v6",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "BIZ UDPMincho",
    variants: ["regular"],
    subsets: ["cyrillic", "greek-ext", "japanese", "latin", "latin-ext"],
    version: "v6",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Babylonica",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Bad Script",
    variants: ["regular"],
    subsets: ["cyrillic", "latin"],
    version: "v16",
    lastModified: "2022-04-20",
    category: "handwriting",
  },
  {
    family: "Bahiana",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bahianita",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bai Jamjuree",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Bakbak One",
    variants: ["regular"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Ballet",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Baloo 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["devanagari", "latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Baloo Bhai 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["gujarati", "latin", "latin-ext", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Baloo Bhaijaan 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["arabic", "latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-28",
    category: "display",
  },
  {
    family: "Baloo Bhaina 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "oriya", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Baloo Chettan 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "malayalam", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Baloo Da 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["bengali", "latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Baloo Paaji 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["gurmukhi", "latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Baloo Tamma 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["kannada", "latin", "latin-ext", "vietnamese"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Baloo Tammudu 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "telugu", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Baloo Thambi 2",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "tamil", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Balsamiq Sans",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Balthazar",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Bangers",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Barlow",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Barlow Condensed",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Barlow Semi Condensed",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Barriecito",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Barrio",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Basic",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Baskervville",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Battambang",
    variants: ["100", "300", "regular", "700", "900"],
    subsets: ["khmer", "latin"],
    version: "v24",
    lastModified: "2022-04-20",
    category: "display",
  },
  {
    family: "Baumans",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-04-20",
    category: "display",
  },
  {
    family: "Bayon",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v29",
    lastModified: "2022-04-20",
    category: "sans-serif",
  },
  {
    family: "Be Vietnam Pro",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Beau Rivage",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Bebas Neue",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Belgrano",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Bellefair",
    variants: ["regular"],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Belleza",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Bellota",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bellota Text",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "BenchNine",
    variants: ["300", "regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Benne",
    variants: ["regular"],
    subsets: ["kannada", "latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Bentham",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Berkshire Swash",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Besley",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Beth Ellen",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-04-20",
    category: "handwriting",
  },
  {
    family: "Bevan",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "BhuTuka Expanded One",
    variants: ["regular"],
    subsets: ["gurmukhi", "latin", "latin-ext"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Big Shoulders Display",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Big Shoulders Inline Display",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Big Shoulders Inline Text",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Big Shoulders Stencil Display",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Big Shoulders Stencil Text",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Big Shoulders Text",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bigelow Rules",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bigshot One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bilbo",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Bilbo Swash Caps",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "BioRhyme",
    variants: ["200", "300", "regular", "700", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "BioRhyme Expanded",
    variants: ["200", "300", "regular", "700", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Birthstone",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Birthstone Bounce",
    variants: ["regular", "500"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Biryani",
    variants: ["200", "300", "regular", "600", "700", "800", "900"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Bitter",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v28",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Black And White Picture",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Black Han Sans",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Black Ops One",
    variants: ["regular"],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Blaka",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Blaka Hollow",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Blaka Ink",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v5",
    lastModified: "2022-09-14",
    category: "display",
  },
  {
    family: "Blinker",
    variants: ["100", "200", "300", "regular", "600", "700", "800", "900"],
    subsets: ["latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Bodoni Moda",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Bokor",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v30",
    lastModified: "2022-04-21",
    category: "display",
  },
  {
    family: "Bona Nova",
    variants: ["regular", "italic", "700"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "hebrew",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v10",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Bonbon",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v26",
    lastModified: "2022-04-21",
    category: "handwriting",
  },
  {
    family: "Bonheur Royale",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Boogaloo",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bowlby One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bowlby One SC",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Brawler",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Bree Serif",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Brygada 1918",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Bubblegum Sans",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bubbler One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Buda",
    variants: ["300"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Buenard",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Bungee",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bungee Hairline",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bungee Inline",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bungee Outline",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bungee Shade",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Bungee Spice",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v8",
    lastModified: "2022-09-14",
    category: "display",
  },
  {
    family: "Butcherman",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Butterfly Kids",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Cabin",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v26",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Cabin Condensed",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Cabin Sketch",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Caesar Dressing",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Cagliostro",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Cairo",
    variants: ["200", "300", "regular", "500", "600", "700", "800", "900"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Cairo Play",
    variants: ["200", "300", "regular", "500", "600", "700", "800", "900"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v5",
    lastModified: "2022-09-14",
    category: "display",
  },
  {
    family: "Caladea",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Calistoga",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Calligraffitti",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Cambay",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Cambo",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Candal",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Cantarell",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Cantata One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Cantora One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Capriola",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Caramel",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Carattere",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Cardo",
    variants: ["regular", "italic", "700"],
    subsets: ["greek", "greek-ext", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Carme",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Carrois Gothic",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Carrois Gothic SC",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Carter One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Castoro",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Catamaran",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "tamil"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Caudex",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["greek", "greek-ext", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Caveat",
    variants: ["regular", "500", "600", "700"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Caveat Brush",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Cedarville Cursive",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Ceviche One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Chakra Petch",
    variants: [
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Changa",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Changa One",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Chango",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Charis SIL",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Charm",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Charmonman",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Chathura",
    variants: ["100", "300", "regular", "700", "800"],
    subsets: ["latin", "telugu"],
    version: "v20",
    lastModified: "2022-04-21",
    category: "sans-serif",
  },
  {
    family: "Chau Philomene One",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Chela One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Chelsea Market",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Chenla",
    variants: ["regular"],
    subsets: ["khmer"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Cherish",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Cherry Cream Soda",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Cherry Swash",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-04-21",
    category: "display",
  },
  {
    family: "Chewy",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Chicle",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Chilanka",
    variants: ["regular"],
    subsets: ["latin", "malayalam"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Chivo",
    variants: [
      "300",
      "300italic",
      "regular",
      "italic",
      "700",
      "700italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Chonburi",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Cinzel",
    variants: ["regular", "500", "600", "700", "800", "900"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Cinzel Decorative",
    variants: ["regular", "700", "900"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Clicker Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Coda",
    variants: ["regular", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Coda Caption",
    variants: ["800"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Codystar",
    variants: ["300", "regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Coiny",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "tamil", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Combo",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Comfortaa",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v40",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Comforter",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Comforter Brush",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Comic Neue",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Coming Soon",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Commissioner",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Concert One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Condiment",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Content",
    variants: ["regular", "700"],
    subsets: ["khmer"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Contrail One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Convergence",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-04-21",
    category: "sans-serif",
  },
  {
    family: "Cookie",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Copse",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-04-21",
    category: "serif",
  },
  {
    family: "Corben",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Corinthia",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Cormorant",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Cormorant Garamond",
    variants: [
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Cormorant Infant",
    variants: [
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Cormorant SC",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Cormorant Unicase",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Cormorant Upright",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Courgette",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Courier Prime",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Cousine",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "hebrew",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v25",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Coustard",
    variants: ["regular", "900"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Covered By Your Grace",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Crafty Girls",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Creepster",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Crete Round",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Crimson Pro",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Crimson Text",
    variants: ["regular", "italic", "600", "600italic", "700", "700italic"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Croissant One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Crushed",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Cuprum",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Cute Font",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Cutive",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Cutive Mono",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "DM Mono",
    variants: ["300", "300italic", "regular", "italic", "500", "500italic"],
    subsets: ["latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "DM Sans",
    variants: ["regular", "italic", "500", "500italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "DM Serif Display",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "DM Serif Text",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Damion",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Dancing Script",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Dangrek",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v26",
    lastModified: "2022-04-21",
    category: "display",
  },
  {
    family: "Darker Grotesque",
    variants: ["300", "regular", "500", "600", "700", "800", "900"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "David Libre",
    variants: ["regular", "500", "700"],
    subsets: ["hebrew", "latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Dawning of a New Day",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Days One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Dekko",
    variants: ["regular"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Dela Gothic One",
    variants: ["regular"],
    subsets: [
      "cyrillic",
      "greek",
      "japanese",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v10",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "Delius",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Delius Swash Caps",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Delius Unicase",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v26",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Della Respira",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Denk One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-04-21",
    category: "sans-serif",
  },
  {
    family: "Devonshire",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Dhurjati",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v20",
    lastModified: "2022-04-21",
    category: "sans-serif",
  },
  {
    family: "Didact Gothic",
    variants: ["regular"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
    ],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Diplomata",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Diplomata SC",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Do Hyeon",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v16",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Dokdo",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v15",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Domine",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Donegal One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Dongle",
    variants: ["300", "regular", "700"],
    subsets: ["korean", "latin", "latin-ext", "vietnamese"],
    version: "v8",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Doppio One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Dorsa",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Dosis",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v27",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "DotGothic16",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Dr Sugiyama",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Duru Sans",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "DynaPuff",
    variants: ["regular", "500", "600", "700"],
    subsets: ["cyrillic-ext", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Dynalight",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "EB Garamond",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "800",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v26",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Eagle Lake",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "East Sea Dokdo",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Eater",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Economica",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Eczar",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["devanagari", "greek", "greek-ext", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Edu NSW ACT Foundation",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Edu QLD Beginner",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Edu SA Beginner",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Edu TAS Beginner",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Edu VIC WA NT Beginner",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "El Messiri",
    variants: ["regular", "500", "600", "700"],
    subsets: ["arabic", "cyrillic", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Electrolize",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-04-21",
    category: "sans-serif",
  },
  {
    family: "Elsie",
    variants: ["regular", "900"],
    subsets: ["latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Elsie Swash Caps",
    variants: ["regular", "900"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Emblema One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Emilys Candy",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Encode Sans",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Encode Sans Condensed",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Encode Sans Expanded",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Encode Sans SC",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Encode Sans Semi Condensed",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Encode Sans Semi Expanded",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Engagement",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Englebert",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Enriqueta",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Ephesis",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Epilogue",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Erica One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Esteban",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Estonia",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Euphoria Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Ewert",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Exo",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Exo 2",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Expletus Sans",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Explora",
    variants: ["regular"],
    subsets: ["cherokee", "latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Fahkwang",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Familjen Grotesk",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Fanwood Text",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Farro",
    variants: ["300", "regular", "500", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Farsan",
    variants: ["regular"],
    subsets: ["gujarati", "latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fascinate",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fascinate Inline",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Faster One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fasthand",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v26",
    lastModified: "2022-04-21",
    category: "display",
  },
  {
    family: "Fauna One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Faustina",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Federant",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-04-21",
    category: "display",
  },
  {
    family: "Federo",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-04-21",
    category: "sans-serif",
  },
  {
    family: "Felipa",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Fenix",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Festive",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Figtree",
    variants: ["300", "regular", "500", "600", "700", "800", "900"],
    subsets: ["latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Finger Paint",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Finlandica",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Fira Code",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
    ],
    version: "v21",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Fira Mono",
    variants: ["regular", "500", "700"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
    ],
    version: "v14",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Fira Sans",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Fira Sans Condensed",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Fira Sans Extra Condensed",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Fjalla One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Fjord One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Flamenco",
    variants: ["300", "regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Flavors",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fleur De Leah",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Flow Block",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Flow Circular",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Flow Rounded",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fondamento",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Fontdiner Swanky",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Forum",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Francois One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Frank Ruhl Libre",
    variants: ["300", "regular", "500", "700", "900"],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Fraunces",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Freckle Face",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fredericka the Great",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fredoka",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Fredoka One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Freehand",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v27",
    lastModified: "2022-04-21",
    category: "display",
  },
  {
    family: "Fresca",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Frijole",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fruktur",
    variants: ["regular", "italic"],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v26",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fugaz One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Fuggles",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Fuzzy Bubbles",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "GFS Didot",
    variants: ["regular"],
    subsets: ["greek"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "GFS Neohellenic",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["greek"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Gabriela",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Gaegu",
    variants: ["300", "regular", "700"],
    subsets: ["korean", "latin"],
    version: "v15",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Gafata",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Galada",
    variants: ["regular"],
    subsets: ["bengali", "latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Galdeano",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Galindo",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Gamja Flower",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Gantari",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Gayathri",
    variants: ["100", "regular", "700"],
    subsets: ["latin", "malayalam"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Gelasio",
    variants: [
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Gemunu Libre",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "sinhala"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Genos",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cherokee", "latin", "latin-ext", "vietnamese"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Gentium Book Basic",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Gentium Book Plus",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v1",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Gentium Plus",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v1",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Geo",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Georama",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Geostar",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Geostar Fill",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Germania One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Gideon Roman",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Gidugu",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Gilda Display",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Girassol",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Give You Glory",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Glass Antiqua",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Glegoo",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Gloria Hallelujah",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Glory",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Gluten",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Goblin One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Gochi Hand",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Goldman",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Gorditas",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Gothic A1",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["korean", "latin"],
    version: "v13",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Gotu",
    variants: ["regular"],
    subsets: ["devanagari", "latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Goudy Bookletter 1911",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Gowun Batang",
    variants: ["regular", "700"],
    subsets: ["korean", "latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Gowun Dodum",
    variants: ["regular"],
    subsets: ["korean", "latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Graduate",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Grand Hotel",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Grandstander",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Grape Nuts",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Gravitas One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Great Vibes",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Grechen Fuemen",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Grenze",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Grenze Gotisch",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Grey Qo",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Griffy",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Gruppo",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Gudea",
    variants: ["regular", "italic", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Gugi",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Gulzar",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v5",
    lastModified: "2022-09-28",
    category: "serif",
  },
  {
    family: "Gupter",
    variants: ["regular", "500", "700"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Gurajada",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Gwendolyn",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Habibi",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Hachi Maru Pop",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Hahmlet",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["korean", "latin", "latin-ext", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Halant",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Hammersmith One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Hanalei",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Hanalei Fill",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Handlee",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Hanuman",
    variants: ["100", "300", "regular", "700", "900"],
    subsets: ["khmer", "latin"],
    version: "v22",
    lastModified: "2022-04-21",
    category: "serif",
  },
  {
    family: "Happy Monkey",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Harmattan",
    variants: ["regular", "700"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Headland One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Heebo",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["hebrew", "latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Henny Penny",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Hepta Slab",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Herr Von Muellerhoff",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Hi Melody",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v13",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Hina Mincho",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext", "vietnamese"],
    version: "v8",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Hind",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Hind Guntur",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "telugu"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Hind Madurai",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "tamil"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Hind Siliguri",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["bengali", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Hind Vadodara",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["gujarati", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Holtwood One SC",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Homemade Apple",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Homenaje",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Hubballi",
    variants: ["regular"],
    subsets: ["kannada", "latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Hurricane",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "IBM Plex Mono",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "IBM Plex Sans",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "IBM Plex Sans Arabic",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["arabic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "IBM Plex Sans Condensed",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "IBM Plex Sans Devanagari",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["cyrillic-ext", "devanagari", "latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "IBM Plex Sans Hebrew",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "IBM Plex Sans KR",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["korean", "latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "IBM Plex Sans Thai",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "thai"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "IBM Plex Sans Thai Looped",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "thai"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "IBM Plex Serif",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell DW Pica",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell DW Pica SC",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell Double Pica",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell Double Pica SC",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell English",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell English SC",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell French Canon",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell French Canon SC",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell Great Primer",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "IM Fell Great Primer SC",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Ibarra Real Nova",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Iceberg",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Iceland",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Imbue",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Imperial Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Imprima",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Inconsolata",
    variants: ["200", "300", "regular", "500", "600", "700", "800", "900"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v31",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Inder",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Indie Flower",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Ingrid Darling",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Inika",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Inknut Antiqua",
    variants: ["300", "regular", "500", "600", "700", "800", "900"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Inria Sans",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Inria Serif",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Inspiration",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Inter",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Inter Tight",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v1",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Irish Grover",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Island Moments",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Istok Web",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Italiana",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Italianno",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Itim",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Jacques Francois",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-04-26",
    category: "serif",
  },
  {
    family: "Jacques Francois Shadow",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Jaldi",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "JetBrains Mono",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v13",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Jim Nightshade",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Joan",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Jockey One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Jolly Lodger",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Jomhuria",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Jomolhari",
    variants: ["regular"],
    subsets: ["latin", "tibetan"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Josefin Sans",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Josefin Slab",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-07-12",
    category: "serif",
  },
  {
    family: "Jost",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Joti One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Jua",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Judson",
    variants: ["regular", "italic", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Julee",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Julius Sans One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Junge",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-04-26",
    category: "serif",
  },
  {
    family: "Jura",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "kayah-li",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Just Another Hand",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Just Me Again Down Here",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "K2D",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Kadwa",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Kaisei Decol",
    variants: ["regular", "500", "700"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v8",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Kaisei HarunoUmi",
    variants: ["regular", "500", "700"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v8",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Kaisei Opti",
    variants: ["regular", "500", "700"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v8",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Kaisei Tokumin",
    variants: ["regular", "500", "700", "800"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v8",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Kalam",
    variants: ["300", "regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Kameron",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Kanit",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Kantumruy",
    variants: ["300", "regular", "700"],
    subsets: ["khmer"],
    version: "v21",
    lastModified: "2022-04-26",
    category: "sans-serif",
  },
  {
    family: "Kantumruy Pro",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["khmer", "latin", "latin-ext"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Karantina",
    variants: ["300", "regular", "700"],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Karla",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Karma",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Katibeh",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Kaushan Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Kavivanar",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "tamil"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Kavoon",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Kdam Thmor Pro",
    variants: ["regular"],
    subsets: ["khmer", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Keania One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Kelly Slab",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Kenia",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Khand",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Khmer",
    variants: ["regular"],
    subsets: ["khmer"],
    version: "v25",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Khula",
    variants: ["300", "regular", "600", "700", "800"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Kings",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Kirang Haerang",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "Kite One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Kiwi Maru",
    variants: ["300", "regular", "500"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Klee One",
    variants: ["regular", "600"],
    subsets: ["cyrillic", "greek-ext", "japanese", "latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Knewave",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "KoHo",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Kodchasan",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Koh Santepheap",
    variants: ["100", "300", "regular", "700", "900"],
    subsets: ["khmer", "latin"],
    version: "v9",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Kolker Brush",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Kosugi",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Kosugi Maru",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Kotta One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-04-26",
    category: "serif",
  },
  {
    family: "Koulen",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v25",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Kranky",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Kreon",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v32",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Kristi",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-04-26",
    category: "handwriting",
  },
  {
    family: "Krona One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Krub",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Kufam",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["arabic", "latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Kulim Park",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Kumar One",
    variants: ["regular"],
    subsets: ["gujarati", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Kumar One Outline",
    variants: ["regular"],
    subsets: ["gujarati", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Kumbh Sans",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Kurale",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "devanagari", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "La Belle Aurore",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Lacquer",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Laila",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lakki Reddy",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Lalezar",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Lancelot",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Langar",
    variants: ["regular"],
    subsets: ["gurmukhi", "latin", "latin-ext"],
    version: "v26",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Lateef",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Lato",
    variants: [
      "100",
      "100italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "700",
      "700italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lavishly Yours",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "League Gothic",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "League Script",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "League Spartan",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Leckerli One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Ledger",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Lekton",
    variants: ["regular", "italic", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lemon",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Lemonada",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["arabic", "latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Lexend",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lexend Deca",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lexend Exa",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lexend Giga",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lexend Mega",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lexend Peta",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lexend Tera",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lexend Zetta",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Libre Barcode 128",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v26",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Libre Barcode 128 Text",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v26",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Libre Barcode 39",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Libre Barcode 39 Extended",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Libre Barcode 39 Extended Text",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Libre Barcode 39 Text",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v26",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Libre Barcode EAN13 Text",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Libre Baskerville",
    variants: ["regular", "italic", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Libre Bodoni",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Libre Caslon Display",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Libre Caslon Text",
    variants: ["regular", "italic", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Libre Franklin",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Licorice",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Life Savers",
    variants: ["regular", "700", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Lilita One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Lily Script One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Limelight",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Linden Hill",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Literata",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v30",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Liu Jian Mao Cao",
    variants: ["regular"],
    subsets: ["chinese-simplified", "latin"],
    version: "v15",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Livvic",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Lobster",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v28",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Lobster Two",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Londrina Outline",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Londrina Shadow",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Londrina Sketch",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Londrina Solid",
    variants: ["100", "300", "regular", "900"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Long Cang",
    variants: ["regular"],
    subsets: ["chinese-simplified", "latin"],
    version: "v17",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Lora",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v26",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Love Light",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Love Ya Like A Sister",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Loved by the King",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Lovers Quarrel",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Luckiest Guy",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Lusitana",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Lustria",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Luxurious Roman",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Luxurious Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "M PLUS 1",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["japanese", "latin", "latin-ext", "vietnamese"],
    version: "v6",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "M PLUS 1 Code",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["japanese", "latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "M PLUS 1p",
    variants: ["100", "300", "regular", "500", "700", "800", "900"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "hebrew",
      "japanese",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v27",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "M PLUS 2",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["japanese", "latin", "latin-ext", "vietnamese"],
    version: "v6",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "M PLUS Code Latin",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "M PLUS Rounded 1c",
    variants: ["100", "300", "regular", "500", "700", "800", "900"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "hebrew",
      "japanese",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v15",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Ma Shan Zheng",
    variants: ["regular"],
    subsets: ["chinese-simplified", "latin"],
    version: "v10",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Macondo",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Macondo Swash Caps",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Mada",
    variants: ["200", "300", "regular", "500", "600", "700", "900"],
    subsets: ["arabic", "latin"],
    version: "v16",
    lastModified: "2022-04-26",
    category: "sans-serif",
  },
  {
    family: "Magra",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Maiden Orange",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Maitree",
    variants: ["200", "300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Major Mono Display",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Mako",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mali",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Mallanna",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v13",
    lastModified: "2022-04-26",
    category: "sans-serif",
  },
  {
    family: "Mandali",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v14",
    lastModified: "2022-04-26",
    category: "sans-serif",
  },
  {
    family: "Manjari",
    variants: ["100", "regular", "700"],
    subsets: ["latin", "latin-ext", "malayalam"],
    version: "v9",
    lastModified: "2022-04-26",
    category: "sans-serif",
  },
  {
    family: "Manrope",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mansalva",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Manuale",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Marcellus",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Marcellus SC",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Marck Script",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Margarine",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Markazi Text",
    variants: ["regular", "500", "600", "700"],
    subsets: ["arabic", "latin", "latin-ext", "vietnamese"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Marko One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-04-26",
    category: "serif",
  },
  {
    family: "Marmelad",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Martel",
    variants: ["200", "300", "regular", "600", "700", "800", "900"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Martel Sans",
    variants: ["200", "300", "regular", "600", "700", "800", "900"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Marvel",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mate",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Mate SC",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Maven Pro",
    variants: ["regular", "500", "600", "700", "800", "900"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v32",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "McLaren",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Mea Culpa",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Meddon",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "MedievalSharp",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Medula One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Meera Inimai",
    variants: ["regular"],
    subsets: ["latin", "tamil"],
    version: "v12",
    lastModified: "2022-04-26",
    category: "sans-serif",
  },
  {
    family: "Megrim",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Meie Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Meow Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Merienda",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Merienda One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Merriweather",
    variants: [
      "300",
      "300italic",
      "regular",
      "italic",
      "700",
      "700italic",
      "900",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v30",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Merriweather Sans",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Metal",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v28",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Metal Mania",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Metamorphous",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Metrophobic",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Michroma",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Milonga",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Miltonian",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v26",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Miltonian Tattoo",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v28",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Mina",
    variants: ["regular", "700"],
    subsets: ["bengali", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mingzat",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "lepcha"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Miniver",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Miriam Libre",
    variants: ["regular", "700"],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mirza",
    variants: ["regular", "500", "600", "700"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Miss Fajardose",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Mitr",
    variants: ["200", "300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mochiy Pop One",
    variants: ["regular"],
    subsets: ["japanese", "latin"],
    version: "v7",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Mochiy Pop P One",
    variants: ["regular"],
    subsets: ["japanese", "latin"],
    version: "v7",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Modak",
    variants: ["regular"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Modern Antiqua",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Mogra",
    variants: ["regular"],
    subsets: ["gujarati", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Mohave",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Molengo",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Molle",
    variants: ["italic"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-04-26",
    category: "handwriting",
  },
  {
    family: "Monda",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Monofett",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Monoton",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Monsieur La Doulaise",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Montaga",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Montagu Slab",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "MonteCarlo",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Montez",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Montserrat",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Montserrat Alternates",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Montserrat Subrayada",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Moo Lah Lah",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Moon Dance",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Moul",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v25",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Moulpali",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v28",
    lastModified: "2022-04-26",
    category: "display",
  },
  {
    family: "Mountains of Christmas",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Mouse Memoirs",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mr Bedfort",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Mr Dafoe",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Mr De Haviland",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Mrs Saint Delafield",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Mrs Sheppards",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Ms Madi",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Mukta",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mukta Mahee",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["gurmukhi", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mukta Malar",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "tamil"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mukta Vaani",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["gujarati", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Mulish",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Murecho",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "japanese",
      "latin",
      "latin-ext",
    ],
    version: "v6",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "MuseoModerno",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "My Soul",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Mystery Quest",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "NTR",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Nabla",
    variants: ["regular"],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "math", "vietnamese"],
    version: "v6",
    lastModified: "2022-09-14",
    category: "display",
  },
  {
    family: "Nanum Brush Script",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v22",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Nanum Gothic",
    variants: ["regular", "700", "800"],
    subsets: ["korean", "latin"],
    version: "v21",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Nanum Gothic Coding",
    variants: ["regular", "700"],
    subsets: ["korean", "latin"],
    version: "v19",
    lastModified: "2022-09-27",
    category: "monospace",
  },
  {
    family: "Nanum Myeongjo",
    variants: ["regular", "700", "800"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Nanum Pen Script",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v19",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Neonderthaw",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Nerko One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Neucha",
    variants: ["regular"],
    subsets: ["cyrillic", "latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Neuton",
    variants: ["200", "300", "regular", "italic", "700", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "New Rocker",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "New Tegomin",
    variants: ["regular"],
    subsets: ["japanese", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "News Cycle",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Newsreader",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Niconne",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Niramit",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Nixie One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Nobile",
    variants: ["regular", "italic", "500", "500italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Nokora",
    variants: ["100", "300", "regular", "700", "900"],
    subsets: ["khmer", "latin"],
    version: "v30",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Norican",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Nosifer",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Notable",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Nothing You Could Do",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Noticia Text",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Color Emoji",
    variants: ["regular"],
    subsets: ["emoji"],
    version: "v24",
    lastModified: "2022-09-26",
    category: "sans-serif",
  },
  {
    family: "Noto Emoji",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["emoji"],
    version: "v34",
    lastModified: "2022-09-26",
    category: "sans-serif",
  },
  {
    family: "Noto Kufi Arabic",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["arabic"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Music",
    variants: ["regular"],
    subsets: ["music"],
    version: "v14",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Naskh Arabic",
    variants: ["regular", "500", "600", "700"],
    subsets: ["arabic"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Nastaliq Urdu",
    variants: ["regular", "500", "600", "700"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-28",
    category: "serif",
  },
  {
    family: "Noto Rashi Hebrew",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Sans",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "devanagari",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v27",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Adlam",
    variants: ["regular", "500", "600", "700"],
    subsets: ["adlam", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Adlam Unjoined",
    variants: ["regular", "500", "600", "700"],
    subsets: ["adlam", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Anatolian Hieroglyphs",
    variants: ["regular"],
    subsets: ["anatolian-hieroglyphs"],
    version: "v14",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Arabic",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["arabic"],
    version: "v18",
    lastModified: "2022-06-01",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Armenian",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["armenian", "latin", "latin-ext"],
    version: "v39",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Avestan",
    variants: ["regular"],
    subsets: ["avestan", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Balinese",
    variants: ["regular", "500", "600", "700"],
    subsets: ["balinese", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Bamum",
    variants: ["regular", "500", "600", "700"],
    subsets: ["bamum"],
    version: "v18",
    lastModified: "2022-07-19",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Bassa Vah",
    variants: ["regular"],
    subsets: ["bassa-vah"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Batak",
    variants: ["regular"],
    subsets: ["batak", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Bengali",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["bengali", "latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Bhaiksuki",
    variants: ["regular"],
    subsets: ["bhaiksuki"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Brahmi",
    variants: ["regular"],
    subsets: ["brahmi"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Buginese",
    variants: ["regular"],
    subsets: ["buginese"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Buhid",
    variants: ["regular"],
    subsets: ["buhid", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Canadian Aboriginal",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["canadian-aboriginal", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Carian",
    variants: ["regular"],
    subsets: ["carian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Caucasian Albanian",
    variants: ["regular"],
    subsets: ["caucasian-albanian"],
    version: "v16",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Chakma",
    variants: ["regular"],
    subsets: ["chakma"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Cham",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["cham", "latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Cherokee",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["cherokee", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Coptic",
    variants: ["regular"],
    subsets: ["coptic", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Cuneiform",
    variants: ["regular"],
    subsets: ["cuneiform"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Cypriot",
    variants: ["regular"],
    subsets: ["cypriot"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Deseret",
    variants: ["regular"],
    subsets: ["deseret"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Devanagari",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Display",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Duployan",
    variants: ["regular"],
    subsets: ["duployan"],
    version: "v16",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Egyptian Hieroglyphs",
    variants: ["regular"],
    subsets: ["egyptian-hieroglyphs"],
    version: "v26",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Elbasan",
    variants: ["regular"],
    subsets: ["elbasan"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Elymaic",
    variants: ["regular"],
    subsets: ["elymaic"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Ethiopic",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["ethiopic", "latin", "latin-ext"],
    version: "v38",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Georgian",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["georgian", "latin", "latin-ext"],
    version: "v36",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Glagolitic",
    variants: ["regular"],
    subsets: ["glagolitic"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Gothic",
    variants: ["regular"],
    subsets: ["gothic"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Grantha",
    variants: ["regular"],
    subsets: ["grantha", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Gujarati",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["gujarati", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Gunjala Gondi",
    variants: ["regular"],
    subsets: ["gunjala-gondi"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Gurmukhi",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["gurmukhi", "latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans HK",
    variants: ["100", "300", "regular", "500", "700", "900"],
    subsets: ["chinese-hongkong", "latin"],
    version: "v21",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Hanifi Rohingya",
    variants: ["regular", "500", "600", "700"],
    subsets: ["hanifi-rohingya"],
    version: "v18",
    lastModified: "2022-06-01",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Hanunoo",
    variants: ["regular"],
    subsets: ["hanunoo"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Hatran",
    variants: ["regular"],
    subsets: ["hatran"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Hebrew",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v38",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Imperial Aramaic",
    variants: ["regular"],
    subsets: ["imperial-aramaic"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Indic Siyaq Numbers",
    variants: ["regular"],
    subsets: ["indic-siyaq-numbers"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Inscriptional Pahlavi",
    variants: ["regular"],
    subsets: ["inscriptional-pahlavi"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Inscriptional Parthian",
    variants: ["regular"],
    subsets: ["inscriptional-parthian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans JP",
    variants: ["100", "300", "regular", "500", "700", "900"],
    subsets: ["japanese", "latin"],
    version: "v42",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Javanese",
    variants: ["regular", "500", "600", "700"],
    subsets: ["javanese", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans KR",
    variants: ["100", "300", "regular", "500", "700", "900"],
    subsets: ["korean", "latin"],
    version: "v27",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Kaithi",
    variants: ["regular"],
    subsets: ["kaithi"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Kannada",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["kannada", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Kayah Li",
    variants: ["regular", "500", "600", "700"],
    subsets: ["kayah-li"],
    version: "v18",
    lastModified: "2022-06-01",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Kharoshthi",
    variants: ["regular"],
    subsets: ["kharoshthi"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Khmer",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["khmer", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Khojki",
    variants: ["regular"],
    subsets: ["khojki"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Khudawadi",
    variants: ["regular"],
    subsets: ["khudawadi"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Lao",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["lao", "latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Lepcha",
    variants: ["regular"],
    subsets: ["lepcha"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Limbu",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "limbu"],
    version: "v17",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Linear A",
    variants: ["regular"],
    subsets: ["linear-a"],
    version: "v16",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Linear B",
    variants: ["regular"],
    subsets: ["linear-b"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Lisu",
    variants: ["regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "lisu"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Lycian",
    variants: ["regular"],
    subsets: ["lycian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Lydian",
    variants: ["regular"],
    subsets: ["lydian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Mahajani",
    variants: ["regular"],
    subsets: ["mahajani"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Malayalam",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "malayalam"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Mandaic",
    variants: ["regular"],
    subsets: ["mandaic"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Manichaean",
    variants: ["regular"],
    subsets: ["manichaean"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Marchen",
    variants: ["regular"],
    subsets: ["marchen"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Masaram Gondi",
    variants: ["regular"],
    subsets: ["masaram-gondi"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Math",
    variants: ["regular"],
    subsets: ["math"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Mayan Numerals",
    variants: ["regular"],
    subsets: ["mayan-numerals"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Medefaidrin",
    variants: ["regular", "500", "600", "700"],
    subsets: ["medefaidrin"],
    version: "v19",
    lastModified: "2022-06-01",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Meetei Mayek",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "meetei-mayek"],
    version: "v14",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Meroitic",
    variants: ["regular"],
    subsets: ["meroitic"],
    version: "v16",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Miao",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "miao"],
    version: "v17",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Modi",
    variants: ["regular"],
    subsets: ["modi"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Mongolian",
    variants: ["regular"],
    subsets: ["mongolian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Mono",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v21",
    lastModified: "2022-09-28",
    category: "monospace",
  },
  {
    family: "Noto Sans Mro",
    variants: ["regular"],
    subsets: ["mro"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Multani",
    variants: ["regular"],
    subsets: ["multani"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Myanmar",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["myanmar"],
    version: "v20",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans N Ko",
    variants: ["regular"],
    subsets: ["nko"],
    version: "v17",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Nabataean",
    variants: ["regular"],
    subsets: ["nabataean"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans New Tai Lue",
    variants: ["regular"],
    subsets: ["new-tai-lue"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Newa",
    variants: ["regular"],
    subsets: ["newa"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Nushu",
    variants: ["regular"],
    subsets: ["nushu"],
    version: "v18",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Ogham",
    variants: ["regular"],
    subsets: ["ogham"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Ol Chiki",
    variants: ["regular", "500", "600", "700"],
    subsets: ["ol-chiki"],
    version: "v17",
    lastModified: "2022-07-19",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Old Hungarian",
    variants: ["regular"],
    subsets: ["old-hungarian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Old Italic",
    variants: ["regular"],
    subsets: ["old-italic"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Old North Arabian",
    variants: ["regular"],
    subsets: ["old-north-arabian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Old Permic",
    variants: ["regular"],
    subsets: ["old-permic"],
    version: "v16",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Old Persian",
    variants: ["regular"],
    subsets: ["old-persian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Old Sogdian",
    variants: ["regular"],
    subsets: ["old-sogdian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Old South Arabian",
    variants: ["regular"],
    subsets: ["old-south-arabian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Old Turkic",
    variants: ["regular"],
    subsets: ["old-turkic"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Oriya",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "oriya"],
    version: "v19",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Osage",
    variants: ["regular"],
    subsets: ["osage"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Osmanya",
    variants: ["regular"],
    subsets: ["osmanya"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Pahawh Hmong",
    variants: ["regular"],
    subsets: ["pahawh-hmong"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Palmyrene",
    variants: ["regular"],
    subsets: ["palmyrene"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Pau Cin Hau",
    variants: ["regular"],
    subsets: ["pau-cin-hau"],
    version: "v16",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Phags Pa",
    variants: ["regular"],
    subsets: ["phags-pa"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Phoenician",
    variants: ["regular"],
    subsets: ["phoenician"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Psalter Pahlavi",
    variants: ["regular"],
    subsets: ["psalter-pahlavi"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Rejang",
    variants: ["regular"],
    subsets: ["rejang"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Runic",
    variants: ["regular"],
    subsets: ["runic"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans SC",
    variants: ["100", "300", "regular", "500", "700", "900"],
    subsets: ["chinese-simplified", "latin"],
    version: "v26",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Samaritan",
    variants: ["regular"],
    subsets: ["samaritan"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Saurashtra",
    variants: ["regular"],
    subsets: ["saurashtra"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Sharada",
    variants: ["regular"],
    subsets: ["sharada"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Shavian",
    variants: ["regular"],
    subsets: ["shavian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Siddham",
    variants: ["regular"],
    subsets: ["siddham"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Sinhala",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "sinhala"],
    version: "v26",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Sogdian",
    variants: ["regular"],
    subsets: ["sogdian"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Sora Sompeng",
    variants: ["regular", "500", "600", "700"],
    subsets: ["sora-sompeng"],
    version: "v17",
    lastModified: "2022-07-19",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Soyombo",
    variants: ["regular"],
    subsets: ["soyombo"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Sundanese",
    variants: ["regular", "500", "600", "700"],
    subsets: ["sundanese"],
    version: "v17",
    lastModified: "2022-07-19",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Syloti Nagri",
    variants: ["regular"],
    subsets: ["syloti-nagri"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Symbols",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "symbols"],
    version: "v36",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Symbols 2",
    variants: ["regular"],
    subsets: ["symbols"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Syriac",
    variants: ["100", "regular", "900"],
    subsets: ["syriac"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans TC",
    variants: ["100", "300", "regular", "500", "700", "900"],
    subsets: ["chinese-traditional", "latin"],
    version: "v26",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Tagalog",
    variants: ["regular"],
    subsets: ["tagalog"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Tagbanwa",
    variants: ["regular"],
    subsets: ["tagbanwa"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Tai Le",
    variants: ["regular"],
    subsets: ["tai-le"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Tai Tham",
    variants: ["regular", "500", "600", "700"],
    subsets: ["tai-tham"],
    version: "v17",
    lastModified: "2022-07-19",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Tai Viet",
    variants: ["regular"],
    subsets: ["tai-viet"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Takri",
    variants: ["regular"],
    subsets: ["takri"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Tamil",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "tamil"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Tamil Supplement",
    variants: ["regular"],
    subsets: ["tamil-supplement"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Telugu",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "telugu"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Thaana",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["thaana"],
    version: "v16",
    lastModified: "2022-07-19",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Thai",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "thai"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Thai Looped",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["thai"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Tifinagh",
    variants: ["regular"],
    subsets: ["tifinagh"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Tirhuta",
    variants: ["regular"],
    subsets: ["tirhuta"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Ugaritic",
    variants: ["regular"],
    subsets: ["ugaritic"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Vai",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vai"],
    version: "v17",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Wancho",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "wancho"],
    version: "v17",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Warang Citi",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "warang-citi"],
    version: "v17",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Yi",
    variants: ["regular"],
    subsets: ["yi"],
    version: "v16",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Noto Sans Zanabazar Square",
    variants: ["regular"],
    subsets: ["zanabazar-square"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Noto Serif",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Ahom",
    variants: ["regular"],
    subsets: ["ahom", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Armenian",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["armenian", "latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-28",
    category: "serif",
  },
  {
    family: "Noto Serif Balinese",
    variants: ["regular"],
    subsets: ["balinese", "latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Bengali",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["bengali", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Devanagari",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Display",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Dogra",
    variants: ["regular"],
    subsets: ["dogra"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "serif",
  },
  {
    family: "Noto Serif Ethiopic",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["ethiopic", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Georgian",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["georgian", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Grantha",
    variants: ["regular"],
    subsets: ["grantha", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-28",
    category: "serif",
  },
  {
    family: "Noto Serif Gujarati",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["gujarati", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Gurmukhi",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["gurmukhi", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif HK",
    variants: ["200", "300", "regular", "500", "600", "700", "800", "900"],
    subsets: [
      "chinese-hongkong",
      "cyrillic",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v2",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Noto Serif Hebrew",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif JP",
    variants: ["200", "300", "regular", "500", "600", "700", "900"],
    subsets: ["japanese", "latin"],
    version: "v21",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Noto Serif KR",
    variants: ["200", "300", "regular", "500", "600", "700", "900"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Noto Serif Kannada",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["kannada", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Khmer",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["khmer", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Lao",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["lao", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Malayalam",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "malayalam"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Myanmar",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["myanmar"],
    version: "v13",
    lastModified: "2022-09-28",
    category: "serif",
  },
  {
    family: "Noto Serif Nyiakeng Puachue Hmong",
    variants: ["regular", "500", "600", "700"],
    subsets: ["nyiakeng-puachue-hmong"],
    version: "v16",
    lastModified: "2022-07-19",
    category: "serif",
  },
  {
    family: "Noto Serif SC",
    variants: ["200", "300", "regular", "500", "600", "700", "900"],
    subsets: ["chinese-simplified", "latin"],
    version: "v22",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Noto Serif Sinhala",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "sinhala"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif TC",
    variants: ["200", "300", "regular", "500", "600", "700", "900"],
    subsets: ["chinese-traditional", "latin"],
    version: "v23",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Noto Serif Tamil",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "tamil"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Tangut",
    variants: ["regular"],
    subsets: ["tangut"],
    version: "v15",
    lastModified: "2022-05-10",
    category: "serif",
  },
  {
    family: "Noto Serif Telugu",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "telugu"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Thai",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "thai"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Tibetan",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["tibetan"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Noto Serif Yezidi",
    variants: ["regular", "500", "600", "700"],
    subsets: ["yezidi"],
    version: "v16",
    lastModified: "2022-07-19",
    category: "serif",
  },
  {
    family: "Noto Traditional Nushu",
    variants: ["regular"],
    subsets: ["nushu"],
    version: "v16",
    lastModified: "2022-05-10",
    category: "sans-serif",
  },
  {
    family: "Nova Cut",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Nova Flat",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Nova Mono",
    variants: ["regular"],
    subsets: ["greek", "latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Nova Oval",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Nova Round",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Nova Script",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Nova Slim",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Nova Square",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Numans",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Nunito",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Nunito Sans",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Nuosu SIL",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "yi"],
    version: "v2",
    lastModified: "2022-09-28",
    category: "serif",
  },
  {
    family: "Odibee Sans",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Odor Mean Chey",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v27",
    lastModified: "2022-05-10",
    category: "serif",
  },
  {
    family: "Offside",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Oi",
    variants: ["regular"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "tamil",
      "vietnamese",
    ],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Old Standard TT",
    variants: ["regular", "italic", "700"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Oldenburg",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Ole",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Oleo Script",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-05-10",
    category: "display",
  },
  {
    family: "Oleo Script Swash Caps",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-05-10",
    category: "display",
  },
  {
    family: "Oooh Baby",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Open Sans",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "hebrew",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v34",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Oranienbaum",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Orbitron",
    variants: ["regular", "500", "600", "700", "800", "900"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Oregano",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Orelega One",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Orienta",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Original Surfer",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Oswald",
    variants: ["200", "300", "regular", "500", "600", "700"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v49",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Outfit",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Over the Rainbow",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Overlock",
    variants: ["regular", "italic", "700", "700italic", "900", "900italic"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Overlock SC",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Overpass",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Overpass Mono",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Ovo",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Oxanium",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Oxygen",
    variants: ["300", "regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Oxygen Mono",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "PT Mono",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "PT Sans",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "PT Sans Caption",
    variants: ["regular", "700"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "PT Sans Narrow",
    variants: ["regular", "700"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "PT Serif",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "PT Serif Caption",
    variants: ["regular", "italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Pacifico",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Padauk",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "myanmar"],
    version: "v15",
    lastModified: "2022-09-28",
    category: "sans-serif",
  },
  {
    family: "Palanquin",
    variants: ["100", "200", "300", "regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Palanquin Dark",
    variants: ["regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Pangolin",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Paprika",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Parisienne",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Passero One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-05-10",
    category: "display",
  },
  {
    family: "Passion One",
    variants: ["regular", "700", "900"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Passions Conflict",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Pathway Gothic One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Patrick Hand",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Patrick Hand SC",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Pattaya",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext", "thai", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Patua One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Pavanam",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "tamil"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Paytone One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Peddana",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Peralta",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Permanent Marker",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Petemoss",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Petit Formal Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Petrona",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v28",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Philosopher",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Piazzolla",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v25",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Piedra",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Pinyon Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Pirata One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Plaster",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Play",
    variants: ["regular", "700"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Playball",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Playfair Display",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v30",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Playfair Display SC",
    variants: ["regular", "italic", "700", "700italic", "900", "900italic"],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Plus Jakarta Sans",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
    ],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Podkova",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v26",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Poiret One",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Poller One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Poly",
    variants: ["regular", "italic"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Pompiere",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Pontano Sans",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Poor Story",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "Poppins",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Port Lligat Sans",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Port Lligat Slab",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Potta One",
    variants: ["regular"],
    subsets: ["japanese", "latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "Pragati Narrow",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Praise",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Prata",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Preahvihear",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v27",
    lastModified: "2022-04-27",
    category: "sans-serif",
  },
  {
    family: "Press Start 2P",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "greek", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Pridi",
    variants: ["200", "300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Princess Sofia",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Prociono",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Prompt",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Prosto One",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Proza Libre",
    variants: [
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Public Sans",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Puppies Play",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Puritan",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Purple Purse",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Qahiri",
    variants: ["regular"],
    subsets: ["arabic", "latin"],
    version: "v7",
    lastModified: "2022-04-27",
    category: "sans-serif",
  },
  {
    family: "Quando",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Quantico",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Quattrocento",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Quattrocento Sans",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Questrial",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Quicksand",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v30",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Quintessential",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Qwigley",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Qwitcher Grypen",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Racing Sans One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Radio Canada",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Radley",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Rajdhani",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Rakkas",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Raleway",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v28",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Raleway Dots",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Ramabhadra",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v15",
    lastModified: "2022-04-27",
    category: "sans-serif",
  },
  {
    family: "Ramaraja",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Rambla",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Rammetto One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rampart One",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "Ranchers",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rancho",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Ranga",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rasa",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["gujarati", "latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Rationale",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-04-27",
    category: "sans-serif",
  },
  {
    family: "Ravi Prakash",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Readex Pro",
    variants: ["200", "300", "regular", "500", "600", "700"],
    subsets: ["arabic", "latin", "latin-ext", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Recursive",
    variants: ["300", "regular", "500", "600", "700", "800", "900"],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v35",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Red Hat Display",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Red Hat Mono",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Red Hat Text",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Red Rose",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Redacted",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Redacted Script",
    variants: ["300", "regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Redressed",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v25",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Reem Kufi",
    variants: ["regular", "500", "600", "700"],
    subsets: ["arabic", "latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Reem Kufi Fun",
    variants: ["regular", "500", "600", "700"],
    subsets: ["arabic", "latin", "latin-ext", "vietnamese"],
    version: "v4",
    lastModified: "2022-09-14",
    category: "sans-serif",
  },
  {
    family: "Reem Kufi Ink",
    variants: ["regular"],
    subsets: ["arabic", "latin", "latin-ext", "vietnamese"],
    version: "v4",
    lastModified: "2022-09-14",
    category: "sans-serif",
  },
  {
    family: "Reenie Beanie",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Reggae One",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "Revalia",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rhodium Libre",
    variants: ["regular"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Ribeye",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Ribeye Marrow",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Righteous",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Risque",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Road Rage",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Roboto",
    variants: [
      "100",
      "100italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "700",
      "700italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v30",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Roboto Condensed",
    variants: ["300", "300italic", "regular", "italic", "700", "700italic"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v25",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Roboto Flex",
    variants: ["regular"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Roboto Mono",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v22",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Roboto Serif",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Roboto Slab",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v24",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Rochester",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Rock Salt",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "RocknRoll One",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Rokkitt",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v29",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Romanesco",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Ropa Sans",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Rosario",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v27",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Rosarivo",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Rouge Script",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Rowdies",
    variants: ["300", "regular", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rozha One",
    variants: ["regular"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Rubik",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Rubik Beastly",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Bubbles",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Burned",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Dirt",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Distressed",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Glitch",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Iso",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Marker Hatch",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Maze",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Microbe",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Mono One",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Rubik Moonrocks",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Puddles",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Rubik Wet Paint",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "hebrew", "latin", "latin-ext"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Ruda",
    variants: ["regular", "500", "600", "700", "800", "900"],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Rufina",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Ruge Boogie",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Ruluko",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-04-27",
    category: "sans-serif",
  },
  {
    family: "Rum Raisin",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Ruslan Display",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Russo One",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Ruthie",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Rye",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "STIX Two Text",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v10",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Sacramento",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Sahitya",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Sail",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Saira",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Saira Condensed",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Saira Extra Condensed",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Saira Semi Condensed",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Saira Stencil One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Salsa",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sanchez",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Sancreek",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sansita",
    variants: [
      "regular",
      "italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sansita Swashed",
    variants: ["300", "regular", "500", "600", "700", "800", "900"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sarabun",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sarala",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sarina",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sarpanch",
    variants: ["regular", "500", "600", "700", "800", "900"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sassy Frass",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Satisfy",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Sawarabi Gothic",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Sawarabi Mincho",
    variants: ["regular"],
    subsets: ["japanese", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Scada",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Scheherazade New",
    variants: ["regular", "700"],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Schoolbell",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Scope One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Seaweed Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Secular One",
    variants: ["regular"],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sedgwick Ave",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Sedgwick Ave Display",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Sen",
    variants: ["regular", "700", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Send Flowers",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Sevillana",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-04-27",
    category: "display",
  },
  {
    family: "Seymour One",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Shadows Into Light",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Shadows Into Light Two",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Shalimar",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Shanti",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Share",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Share Tech",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Share Tech Mono",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Shippori Antique",
    variants: ["regular"],
    subsets: ["japanese", "latin", "latin-ext"],
    version: "v8",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Shippori Antique B1",
    variants: ["regular"],
    subsets: ["japanese", "latin", "latin-ext"],
    version: "v8",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Shippori Mincho",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["japanese", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Shippori Mincho B1",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["japanese", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Shojumaru",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Short Stack",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Shrikhand",
    variants: ["regular"],
    subsets: ["gujarati", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Siemreap",
    variants: ["regular"],
    subsets: ["khmer"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sigmar One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Signika",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Signika Negative",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Silkscreen",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Simonetta",
    variants: ["regular", "italic", "900", "900italic"],
    subsets: ["latin", "latin-ext"],
    version: "v23",
    lastModified: "2022-04-27",
    category: "display",
  },
  {
    family: "Single Day",
    variants: ["regular"],
    subsets: ["korean"],
    version: "v15",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "Sintony",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sirin Stencil",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-04-27",
    category: "display",
  },
  {
    family: "Six Caps",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Skranji",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Slabo 13px",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Slabo 27px",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Slackey",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Smokum",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Smooch",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v5",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Smooch Sans",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Smythe",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sniglet",
    variants: ["regular", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Snippet",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Snowburst One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sofadi One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sofia",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Solway",
    variants: ["300", "regular", "500", "700", "800"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Song Myung",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Sonsie One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sora",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sorts Mill Goudy",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Source Code Pro",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v22",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Source Sans 3",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v8",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Source Sans Pro",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v21",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Source Serif 4",
    variants: [
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v7",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Source Serif Pro",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "900",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Space Grotesk",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Space Mono",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Special Elite",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Spectral",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
    ],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Spectral SC",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
    ],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Spicy Rice",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Spinnaker",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-04-27",
    category: "sans-serif",
  },
  {
    family: "Spirax",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Splash",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Spline Sans",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Spline Sans Mono",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Squada One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Square Peg",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Sree Krushnadevaraya",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Sriracha",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Srisakdi",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Staatliches",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Stalemate",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Stalinist One",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v54",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Stardos Stencil",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Stick",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Stick No Bills",
    variants: ["200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "sinhala"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Stint Ultra Condensed",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Stint Ultra Expanded",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Stoke",
    variants: ["300", "regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Strait",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Style Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Stylish",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sue Ellen Francisco",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Suez One",
    variants: ["regular"],
    subsets: ["hebrew", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Sulphur Point",
    variants: ["300", "regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sumana",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Sunflower",
    variants: ["300", "500", "700"],
    subsets: ["korean", "latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Sunshiney",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Supermercado One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Sura",
    variants: ["regular", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Suranna",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v13",
    lastModified: "2022-04-27",
    category: "serif",
  },
  {
    family: "Suravaram",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Suwannaphum",
    variants: ["100", "300", "regular", "700", "900"],
    subsets: ["khmer", "latin"],
    version: "v29",
    lastModified: "2022-04-27",
    category: "serif",
  },
  {
    family: "Swanky and Moo Moo",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Syncopate",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Syne",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["greek", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Syne Mono",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Syne Tactile",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Tai Heritage Pro",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "tai-viet", "vietnamese"],
    version: "v1",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tajawal",
    variants: ["200", "300", "regular", "500", "700", "800", "900"],
    subsets: ["arabic", "latin"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Tangerine",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Tapestry",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Taprom",
    variants: ["regular"],
    subsets: ["khmer", "latin"],
    version: "v27",
    lastModified: "2022-04-27",
    category: "display",
  },
  {
    family: "Tauri",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Taviraj",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Teko",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Telex",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Tenali Ramakrishna",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Tenor Sans",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Text Me One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Texturina",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Thasadith",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v9",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "The Girl Next Door",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "The Nautigal",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Tienne",
    variants: ["regular", "700", "900"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tillana",
    variants: ["regular", "500", "600", "700", "800"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Timmana",
    variants: ["regular"],
    subsets: ["latin", "telugu"],
    version: "v12",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Tinos",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "hebrew",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v24",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tiro Bangla",
    variants: ["regular", "italic"],
    subsets: ["bengali", "latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tiro Devanagari Hindi",
    variants: ["regular", "italic"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tiro Devanagari Marathi",
    variants: ["regular", "italic"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tiro Devanagari Sanskrit",
    variants: ["regular", "italic"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tiro Gurmukhi",
    variants: ["regular", "italic"],
    subsets: ["gurmukhi", "latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tiro Kannada",
    variants: ["regular", "italic"],
    subsets: ["kannada", "latin", "latin-ext"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tiro Tamil",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext", "tamil"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tiro Telugu",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext", "telugu"],
    version: "v4",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Titan One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Titillium Web",
    variants: [
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "900",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Tomorrow",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Tourney",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Trade Winds",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Train One",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "Trirong",
    variants: [
      "100",
      "100italic",
      "200",
      "200italic",
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
      "800",
      "800italic",
      "900",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "thai", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Trispace",
    variants: ["100", "200", "300", "regular", "500", "600", "700", "800"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Trocchi",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Trochut",
    variants: ["regular", "italic", "700"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Truculenta",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Trykker",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Tulpen One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Turret Road",
    variants: ["200", "300", "regular", "500", "700", "800"],
    subsets: ["latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Twinkle Star",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Ubuntu",
    variants: [
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "700",
      "700italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
    ],
    version: "v20",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Ubuntu Condensed",
    variants: ["regular"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
    ],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Ubuntu Mono",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "greek-ext",
      "latin",
      "latin-ext",
    ],
    version: "v15",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Uchen",
    variants: ["regular"],
    subsets: ["latin", "tibetan"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Ultra",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Uncial Antiqua",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Underdog",
    variants: ["regular"],
    subsets: ["cyrillic", "latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Unica One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v13",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "UnifrakturCook",
    variants: ["700"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "UnifrakturMaguntia",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Unkempt",
    variants: ["regular", "700"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Unlock",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Unna",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin", "latin-ext"],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Updock",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Urbanist",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "VT323",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Vampiro One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v18",
    lastModified: "2022-04-27",
    category: "display",
  },
  {
    family: "Varela",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Varela Round",
    variants: ["regular"],
    subsets: ["hebrew", "latin", "latin-ext", "vietnamese"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Varta",
    variants: ["300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Vast Shadow",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Vazirmatn",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
    ],
    subsets: ["arabic", "latin", "latin-ext"],
    version: "v6",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Vesper Libre",
    variants: ["regular", "500", "700", "900"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Viaoda Libre",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Vibes",
    variants: ["regular"],
    subsets: ["arabic", "latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Vibur",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v23",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Vidaloka",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Viga",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Voces",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Volkhov",
    variants: ["regular", "italic", "700", "700italic"],
    subsets: ["latin"],
    version: "v17",
    lastModified: "2022-04-27",
    category: "serif",
  },
  {
    family: "Vollkorn",
    variants: [
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: [
      "cyrillic",
      "cyrillic-ext",
      "greek",
      "latin",
      "latin-ext",
      "vietnamese",
    ],
    version: "v21",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Vollkorn SC",
    variants: ["regular", "600", "700", "900"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Voltaire",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Vujahday Script",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Waiting for the Sunrise",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Wallpoet",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v16",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Walter Turncoat",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v19",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Warnes",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v22",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Water Brush",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Waterfall",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v3",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Wellfleet",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Wendy One",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-04-27",
    category: "sans-serif",
  },
  {
    family: "Whisper",
    variants: ["regular"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v2",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "WindSong",
    variants: ["regular", "500"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Wire One",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Work Sans",
    variants: [
      "100",
      "200",
      "300",
      "regular",
      "500",
      "600",
      "700",
      "800",
      "900",
      "100italic",
      "200italic",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
      "800italic",
      "900italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Xanh Mono",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "monospace",
  },
  {
    family: "Yaldevi",
    variants: ["200", "300", "regular", "500", "600", "700"],
    subsets: ["latin", "latin-ext", "sinhala"],
    version: "v8",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Yanone Kaffeesatz",
    variants: ["200", "300", "regular", "500", "600", "700"],
    subsets: ["cyrillic", "latin", "latin-ext", "vietnamese"],
    version: "v24",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Yantramanav",
    variants: ["100", "300", "regular", "500", "700", "900"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "sans-serif",
  },
  {
    family: "Yatra One",
    variants: ["regular"],
    subsets: ["devanagari", "latin", "latin-ext"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Yellowtail",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v18",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Yeon Sung",
    variants: ["regular"],
    subsets: ["korean", "latin"],
    version: "v20",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "Yeseva One",
    variants: ["regular"],
    subsets: ["cyrillic", "cyrillic-ext", "latin", "latin-ext", "vietnamese"],
    version: "v20",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Yesteryear",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v14",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Yomogi",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext", "vietnamese"],
    version: "v8",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Yrsa",
    variants: [
      "300",
      "regular",
      "500",
      "600",
      "700",
      "300italic",
      "italic",
      "500italic",
      "600italic",
      "700italic",
    ],
    subsets: ["latin", "latin-ext", "vietnamese"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Yuji Boku",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v5",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Yuji Mai",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v5",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Yuji Syuku",
    variants: ["regular"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v5",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Yusei Magic",
    variants: ["regular"],
    subsets: ["japanese", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "ZCOOL KuaiLe",
    variants: ["regular"],
    subsets: ["chinese-simplified", "latin"],
    version: "v17",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "ZCOOL QingKe HuangYou",
    variants: ["regular"],
    subsets: ["chinese-simplified", "latin"],
    version: "v13",
    lastModified: "2022-09-27",
    category: "display",
  },
  {
    family: "ZCOOL XiaoWei",
    variants: ["regular"],
    subsets: ["chinese-simplified", "latin"],
    version: "v10",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Zen Antique",
    variants: ["regular"],
    subsets: ["cyrillic", "greek", "japanese", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Zen Antique Soft",
    variants: ["regular"],
    subsets: ["cyrillic", "greek", "japanese", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Zen Dots",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Zen Kaku Gothic Antique",
    variants: ["300", "regular", "500", "700", "900"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Zen Kaku Gothic New",
    variants: ["300", "regular", "500", "700", "900"],
    subsets: ["cyrillic", "japanese", "latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Zen Kurenaido",
    variants: ["regular"],
    subsets: ["cyrillic", "greek", "japanese", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Zen Loop",
    variants: ["regular", "italic"],
    subsets: ["latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Zen Maru Gothic",
    variants: ["300", "regular", "500", "700", "900"],
    subsets: ["cyrillic", "greek", "japanese", "latin", "latin-ext"],
    version: "v10",
    lastModified: "2022-09-27",
    category: "sans-serif",
  },
  {
    family: "Zen Old Mincho",
    variants: ["regular", "700", "900"],
    subsets: ["cyrillic", "greek", "japanese", "latin", "latin-ext"],
    version: "v9",
    lastModified: "2022-09-27",
    category: "serif",
  },
  {
    family: "Zen Tokyo Zoo",
    variants: ["regular"],
    subsets: ["latin", "latin-ext"],
    version: "v7",
    lastModified: "2022-09-22",
    category: "display",
  },
  {
    family: "Zeyada",
    variants: ["regular"],
    subsets: ["latin"],
    version: "v15",
    lastModified: "2022-09-22",
    category: "handwriting",
  },
  {
    family: "Zhi Mang Xing",
    variants: ["regular"],
    subsets: ["chinese-simplified", "latin"],
    version: "v17",
    lastModified: "2022-09-27",
    category: "handwriting",
  },
  {
    family: "Zilla Slab",
    variants: [
      "300",
      "300italic",
      "regular",
      "italic",
      "500",
      "500italic",
      "600",
      "600italic",
      "700",
      "700italic",
    ],
    subsets: ["latin", "latin-ext"],
    version: "v11",
    lastModified: "2022-09-22",
    category: "serif",
  },
  {
    family: "Zilla Slab Highlight",
    variants: ["regular", "700"],
    subsets: ["latin", "latin-ext"],
    version: "v17",
    lastModified: "2022-09-22",
    category: "display",
  },
];
